# Class InchiUtils

java.lang.Object
org.iupac.InchiUtils

public class InchiUtils extends Object
periodic table daata from inchi C util.c

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`atomicSymbols`
`static final int[]`
`inchiAveAtomicMass`

## Constructor Summary

Constructors
Constructor
Description
`InchiUtils()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`getActualMass(String sym, int mass)`
`static int`
`getAtomicNumber(String sym)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### atomicSymbols

public static final String atomicSymbols

See Also:
  - Constant Field Values

### inchiAveAtomicMass

public static final int[] inchiAveAtomicMass

## Constructor Details

### InchiUtils

public InchiUtils()

## Method Details

### getAtomicNumber

public static int getAtomicNumber(String sym)

### getActualMass

public static int getActualMass(String sym, int mass)